// PropertyPageBase.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"		// For FFGetApp().
#include "PropertyPageBase.h"	// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCPropertyPageBase _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCPropertyPageBase, CPropertyPage)

CFCPropertyPageBase::CFCPropertyPageBase (UINT nIDTemplate)
				:	BASE_CLASS(nIDTemplate)
{
} // CFCPropertyPageBase::CFCPropertyPageBase.

CFCPropertyPageBase::CFCPropertyPageBase ()
				:	BASE_CLASS()
{
} // CFCPropertyPageBase::CFCPropertyPageBase.

//----- 06.03.15 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//CFCPropertyPageBase::~CFCPropertyPageBase()
//{
//}
//----- 06.03.15 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----

void CFCPropertyPageBase::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCPropertyPageBase)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CFCPropertyPageBase, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCPropertyPageBase)
	ON_WM_CREATE()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCPropertyPageBase _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

int CFCPropertyPageBase::OnCreate (LPCREATESTRUCT lpCreateStruct)
{
	if (BASE_CLASS::OnCreate(lpCreateStruct) == -1)
		return -1;
	// _xZkqqHx_iDhMiDgCiDhGiDhBiDjDiDgHiCmMiDfOiBfLiDfBiDgCiDgHiCmJjDgPjIfOiBeC_xHqqkZx_
	FFGetApp()->RegisterPopHintTarget(m_hWnd);
	return 0;
} // CFCPropertyPageBase::OnCreate.

void CFCPropertyPageBase::OnDestroy ()
{
	// _xZkqqHx_iDhMiDgCiDhGiDhBiDjDiDgHiCmMiDfOiBfLiDfBiDgCiDgHiCkJiCoHjDgPjIfOiJpAiPjMiBeC_xHqqkZx_
	FFGetApp()->UnregisterPopHintTarget(m_hWnd);

	BASE_CLASS::OnDestroy();
} // CFCPropertyPageBase::OnDestroy.
